Subject: Re: linux-next: build failure after merge of the arm-current tree

From: Russell King - ARM Linux <[email-masked]>
Date: Fri, 10 Apr 2015 08:28:31 +0100

On Fri, Apr 10, 2015 at 10:29:33AM +1000, Stephen Rothwell wrote:
> Hi Russell,
> 
> After merging the arm-current tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
> 
> arch/arm/mm/proc-v7.S: Assembler messages:
> arch/arm/mm/proc-v7.S:535: Error: invalid operands (*ABS* and .text sections) for `|'
> arch/arm/mm/proc-v7.S:535: Error: invalid operands (*ABS* and .text sections) for `|'
> 
> Caused by commit f2fd12256533 ("ARM: proc-v7: avoid errata 430973
> workaround for non-Cortex A8 CPUs").
> 
> I have reverted that commit for today.

The ARM autobuilders built the tree I pushed out with no problems.  The
commit itself isn't quite correct, but the merge head of the for-next
branch /is/ correct.  I've now fixed that, but I don't see why you would
have hit this.

-- 
FTTC broadband for 0.8mile line: currently at 10.5Mbps down 400kbps up
according to speedtest.net.